Bug 1391334 - Review Request: freeorion - Turn-based space empire and galactic conquest (4X) computer game
Summary: Review Request: freeorion - Turn-based space empire and galactic conquest (4X...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-11-03 06:50 UTC by Link Dupont
Modified: 2017-01-25 20:18 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-01-12 05:22:36 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Link Dupont 2016-11-03 06:50:07 UTC
Spec URL: https://fedorapeople.org/cgit/linkdupont/public_git/freeorion.git/plain/freeorion.spec
SRPM URL: https://fedorapeople.org/~linkdupont/srpms/freeorion-0.4.6-1.fc26.src.rpm
Description:
FreeOrion, an open-source game inspired by Master of Orion, is a turn-based game
of epic space strategy that builds on the classic '4X' model by incorporating
the nation-building elements of games such as Europa Universalis 2 and a
versatile tactical combat engine. While its modular, open-source design allows
for a significant degree of customization of the game engine and the story
elements by the community, the FreeOrion team is dedicated to the construction
of a living, breathing universe in a 'grand campaign' model.
Fedora Account System Username: linkdupont

Comment 1 Antonio Trande 2016-11-13 18:26:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
  Use python2-devel

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.DejaVu is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

- freeorion is built with GiGi support (GG/src directory) and linked against
  libGiGi.so private library.
  GG (like util/XMLDoc.cpp) is provided under LGPLv2+ license 

- Unbundle font files please.

- /usr/lib64/freeorion is not owned

- CC-BY-SA-3.0 is not correct; use CC-BY-SA

- Main package and sub-package are inter-dependent.
  You can remove

Requires: %{name}%{?_isa} = %{version}-%{release}

  from freeorion-data

- Fix following errors

freeorion-data.noarch: E: wrong-script-interpreter /usr/share/freeorion/default/python/tests/run_tests.py /usr/bin/env python2.7
freeorion-data.noarch: E: non-executable-script /usr/share/freeorion/default/python/tests/run_tests.py 644 /usr/bin/env python2.7

- Diff spec file in url and in SRPM (see rpmlint output)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later) (with incorrect FSF address)", "GPL (v2
     or later)", "Unknown or generated", "LGPL (v2.1 or later) LGPL (v2.1
     or later) (with incorrect FSF address)", "BSL (v1.0)", "BSL",
     "zlib/libpng LGPL (v2.1 or later) LGPL (v2.1 or later) (with incorrect
     FSF address)". 547 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1391334-freeorion/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/freeorion
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/freeorion
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in freeorion
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     freeorion-data , freeorion-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: freeorion-0.4.6-1.fc26.x86_64.rpm
          freeorion-data-0.4.6-1.fc26.noarch.rpm
          freeorion-debuginfo-0.4.6-1.fc26.x86_64.rpm
          freeorion-0.4.6-1.fc26.src.rpm
freeorion.x86_64: W: no-manual-page-for-binary freeorionca
freeorion.x86_64: W: no-manual-page-for-binary freeorion
freeorion.x86_64: W: no-manual-page-for-binary freeoriond
freeorion-data.noarch: W: invalid-license CC-BY-SA-3.0
freeorion-data.noarch: W: no-documentation
freeorion-data.noarch: E: wrong-script-interpreter /usr/share/freeorion/default/python/tests/run_tests.py /usr/bin/env python2.7
freeorion-data.noarch: E: non-executable-script /usr/share/freeorion/default/python/tests/run_tests.py 644 /usr/bin/env python2.7
4 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Cannot parse rpmlint output:



Rpmlint (installed packages)
----------------------------
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/MultiEdit.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Texture.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Enum.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Button.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/util/XMLDoc.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Exception.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/StaticGraphic.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Edit.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/DynamicGraphic.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Slider.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/MultiEdit.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Cursor.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Font.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/SignalTemplate.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/AlignmentFlags.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Wnd.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/TextControl.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/SDL/SDLGUI.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/GroupBox.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Base.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Font.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/EventPump.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Texture.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/dialogs/ColorDlg.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/dialogs/ThreeButtonDlg.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Base.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/BrowseInfoWnd.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Layout.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/dialogs/ColorDlg.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/ZList.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/GUI.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/SignalsAndSlots.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/AlignmentFlags.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/StyleFactory.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/DropDownList.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Scroll.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/TabWnd.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/BrowseInfoWnd.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/TextControl.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Scroll.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/GroupBox.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/PtRect.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/GGFwd.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Spin.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/TabWnd.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Control.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/WndEvent.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/SDL/SDLGUI.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/StrongTypedef.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/ZList.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Edit.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Timer.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/GUI.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Wnd.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/StyleFactory.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/MultiEditFwd.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/util/XMLDoc.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/dialogs/FileDlg.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Flags.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/ClrConstants.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/DynamicGraphic.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/ClrConstants.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/dialogs/ThreeButtonDlg.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/WndEvent.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/DrawUtil.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Menu.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Button.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/EventPump.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/DropDownList.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/PtRect.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Menu.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/UnicodeCharsets.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/Clr.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/DefaultFont.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/StaticGraphic.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Control.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Layout.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/dialogs/FileDlg.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/ListBox.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/DrawUtil.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/src/Cursor.cpp
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/UnicodeCharsets.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/FontFwd.h
freeorion-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/src-tarball/GG/GG/ListBox.h
freeorion-data.noarch: W: invalid-license CC-BY-SA-3.0
freeorion-data.noarch: W: no-documentation
freeorion-data.noarch: E: wrong-script-interpreter /usr/share/freeorion/default/python/tests/run_tests.py /usr/bin/env python2.7
freeorion-data.noarch: E: non-executable-script /usr/share/freeorion/default/python/tests/run_tests.py 644 /usr/bin/env python2.7
freeorion.x86_64: W: no-manual-page-for-binary freeoriond
freeorion.x86_64: W: no-manual-page-for-binary freeorion
freeorion.x86_64: W: no-manual-page-for-binary freeorionca
3 packages and 0 specfiles checked; 86 errors, 5 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/sagitter/1391334-freeorion/srpm/freeorion.spec	2016-11-13 16:28:35.855414839 +0100
+++ /home/sagitter/1391334-freeorion/srpm-unpacked/freeorion.spec	2016-11-03 07:44:35.000000000 +0100
@@ -5,5 +5,5 @@
 Name:		freeorion
 Version:	0.4.6
-Release:	2%{?dist}
+Release:	1%{?dist}
 Summary:	Turn-based space empire and galactic conquest (4X) computer game
 Group:		Amusements/Games
@@ -57,10 +57,6 @@
 %build
 %cmake -DCMAKE_INSTALL_LIBDIR=%{_lib} .
-# disable parallel builds on ppc64le
-%ifarch ppc64le
-%__make
-%else
-%make_build
-%endif
+%make_build %{?_smp_mflags}
+
 
 %install
@@ -106,7 +102,4 @@
 
 %changelog
-* Thu Nov 3 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.4.6-2
-- Change build parameters for ppc64le architecture
-
-* Wed Oct 19 2016 Link Dupont <linkdupont@fedoraproject.org> - 0.4.6-1
+* Wed Oct 19 2016 Link Dupont <link@sub-pop.net> - 0.4.6-1
 - Initial package 


Requires
--------
freeorion-debuginfo (rpmlib, GLIBC filtered):

freeorion-data (rpmlib, GLIBC filtered):
    freeorion(x86-64)

freeorion (rpmlib, GLIBC filtered):
    /bin/sh
    freeorion-data
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libGLEW.so.1.13()(64bit)
    libGLU.so.1()(64bit)
    libGiGi.so()(64bit)
    libGiGiSDL.so()(64bit)
    libSDL2-2.0.so.0()(64bit)
    libboost_atomic.so.1.60.0()(64bit)
    libboost_chrono.so.1.60.0()(64bit)
    libboost_date_time.so.1.60.0()(64bit)
    libboost_filesystem.so.1.60.0()(64bit)
    libboost_iostreams.so.1.60.0()(64bit)
    libboost_locale.so.1.60.0()(64bit)
    libboost_log.so.1.60.0()(64bit)
    libboost_log_setup.so.1.60.0()(64bit)
    libboost_python.so.1.60.0()(64bit)
    libboost_regex.so.1.60.0()(64bit)
    libboost_serialization.so.1.60.0()(64bit)
    libboost_signals.so.1.60.0()(64bit)
    libboost_system.so.1.60.0()(64bit)
    libboost_thread.so.1.60.0()(64bit)
    libc.so.6()(64bit)
    libfreeorioncommon.so()(64bit)
    libfreeorionparse.so()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.4)(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    libm.so.6()(64bit)
    libogg.so.0()(64bit)
    libopenal.so.1()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    libvorbis.so.0()(64bit)
    libvorbisfile.so.3()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
freeorion-debuginfo:
    freeorion-debuginfo
    freeorion-debuginfo(x86-64)

freeorion-data:
    freeorion-data

freeorion:
    appdata()
    appdata(freeorion.appdata.xml)
    application()
    application(freeorion.desktop)
    freeorion
    freeorion(x86-64)
    libGiGi.so()(64bit)
    libGiGiSDL.so()(64bit)
    libfreeorioncommon.so()(64bit)
    libfreeorionparse.so()(64bit)



Unversioned so-files
--------------------
freeorion: /usr/lib64/freeorion/libGiGi.so
freeorion: /usr/lib64/freeorion/libGiGiSDL.so
freeorion: /usr/lib64/freeorion/libfreeorioncommon.so
freeorion: /usr/lib64/freeorion/libfreeorionparse.so

Source checksums
----------------
https://github.com/freeorion/freeorion/releases/download/v0.4.6/FreeOrion_v0.4.6_2016-09-16.49f9123_Source.tar.gz :
  CHECKSUM(SHA256) this package     : 3e3ff3a758c8a1ffa71773dff18faff2c792051bb5162758b5f5b8ea59e8e311
  CHECKSUM(SHA256) upstream package : 3e3ff3a758c8a1ffa71773dff18faff2c792051bb5162758b5f5b8ea59e8e311
http://linkdupont.fedorapeople.org/sources/freeorion.appdata.xml :
  CHECKSUM(SHA256) this package     : 8ee1a57eb8ca846075b3311b3cd39778b1e2664c685bb8dcb42cec99caa9da22
  CHECKSUM(SHA256) upstream package : 8ee1a57eb8ca846075b3311b3cd39778b1e2664c685bb8dcb42cec99caa9da22


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1391334
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Link Dupont 2016-11-20 17:22:12 UTC
Thank you for the review! This raised a couple questions when I was examining the issues.

1) FreeOrion appears to bundle libGiGi
FreeOrion bundles libGiGi. There is an external libGiGi project, but during my research, I found that Debian supports bundling libGiGi with their freeorion package. This excerpt from their README.source file:

Bundled GG (libgigi) library:
 At the moment GG is not feasible to maintain separately:
  * It is used exclusively by freeorion.
  * FreeOrion maintains a fork of GG in FreeOrion's source tree.
  * FreeOrion's GG fork is better maintained and needs less patches.
    * For example the original libgigi library doesn't build with gcc-4.7
      (requires gcc-4.6) while from FreeOrion's source tree
      it builds fine with gcc-4.7 and doesn't need the "vector.patch".
  * GG is not a proper library (more like a plugin) and therefore
    not suitable for packaging as a standalone libgigi(-dev) package.

Would I need to submit a bundle library exception to the FPC for this?

2) FSF address incorrect

I noticed a rpmlint warning about an incorrect FSF address. When I looked at the COPYING file shipped by upstream, it does have the correct address. The only difference was a comma (,) inserted between the ZIP code and the country. I feel like ignoring this lint error is okay, since the address is correct, just formatted funny.

Comment 3 Antonio Trande 2016-11-20 17:28:54 UTC
(In reply to Link Dupont from comment #2)
> Thank you for the review! This raised a couple questions when I was
> examining the issues.
> 
> 1) FreeOrion appears to bundle libGiGi
> FreeOrion bundles libGiGi. There is an external libGiGi project, but during
> my research, I found that Debian supports bundling libGiGi with their
> freeorion package. This excerpt from their README.source file:
> 
> Bundled GG (libgigi) library:
>  At the moment GG is not feasible to maintain separately:
>   * It is used exclusively by freeorion.
>   * FreeOrion maintains a fork of GG in FreeOrion's source tree.
>   * FreeOrion's GG fork is better maintained and needs less patches.
>     * For example the original libgigi library doesn't build with gcc-4.7
>       (requires gcc-4.6) while from FreeOrion's source tree
>       it builds fine with gcc-4.7 and doesn't need the "vector.patch".
>   * GG is not a proper library (more like a plugin) and therefore
>     not suitable for packaging as a standalone libgigi(-dev) package.
> 
> Would I need to submit a bundle library exception to the FPC for this?

No; libGiGi is not officially packed on Fedora, it's simply a library provided by freeorion.

> 
> 2) FSF address incorrect
> 
> I noticed a rpmlint warning about an incorrect FSF address. When I looked at
> the COPYING file shipped by upstream, it does have the correct address. The
> only difference was a comma (,) inserted between the ZIP code and the
> country. I feel like ignoring this lint error is okay, since the address is
> correct, just formatted funny.

Don't modify the FSF address youself, but point out these lacks to upstream.

Comment 5 Antonio Trande 2016-11-21 13:23:01 UTC
>rm -rf %{buildroot}%{_datadir}/%{name}/default/data/fonts

Have you tested freeorion?
Does it use the icons?

Usually, bundled icons are replaced with symbolic links to system icons.

Comment 6 Link Dupont 2016-11-21 17:39:52 UTC
It does run without those fonts in that path. I assumed it would fall back to the system-provided fonts, and it appears I was lucky it did. So no need to symlink to system-level fonts. Pulling them in via Requires: was sufficient.

The only contents in %{_datadir}/%{name}/default/data/fonts were the *.ttf files and some README/licenses.

Comment 7 Antonio Trande 2016-11-21 19:57:11 UTC
(In reply to Link Dupont from comment #6)
> It does run without those fonts in that path. I assumed it would fall back
> to the system-provided fonts, and it appears I was lucky it did. So no need
> to symlink to system-level fonts. Pulling them in via Requires: was
> sufficient.
> 
> The only contents in %{_datadir}/%{name}/default/data/fonts were the *.ttf
> files and some README/licenses.

mmh..
dejavu-sans-fonts and google-roboto-fonts use different paths. Please, create the symlinks to be sure.

Comment 8 Link Dupont 2016-11-23 04:26:45 UTC
Good catch. It falls back to DejaVu-Sans if it can't find Roboto, but I symlinked those two fonts into default/data/fonts anyway.

Spec URL: https://fedorapeople.org/cgit/linkdupont/public_git/freeorion.git/plain/freeorion.spec
SRPM URL: https://fedorapeople.org/~linkdupont/srpms/freeorion-0.4.6-4.fc26.src.rpm

Comment 9 Antonio Trande 2016-11-23 13:05:51 UTC
LGPLv2+, not LGPLv2.

Package approved.

Comment 10 Gwyn Ciesla 2016-11-28 13:53:18 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/freeorion

Comment 11 Fedora Update System 2016-11-30 05:11:01 UTC
freeorion-0.4.6-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f6eb8f93b

Comment 12 Fedora Update System 2016-11-30 05:11:08 UTC
freeorion-0.4.6-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d7eb3c1fa

Comment 13 Link Dupont 2016-12-02 06:04:42 UTC
Quick followup on the rpmlint incorrect-fsf-address warning. The address listed in the COPYING file appears correct. I'm not sure if it's a false positive somehow coming out of rpmlint. When I grep -E the COPYING file directly using the regex from rpmlint's FilesCheck.py, it does _not_ match. I filed an issue with rpmlint[1] about this, but I'm comfortable ignoring the rpmlint error here. The address in the COPYING file is correct.

1: https://github.com/rpm-software-management/rpmlint/issues/85

Comment 14 Fedora Update System 2016-12-03 04:32:20 UTC
freeorion-0.4.6-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d7eb3c1fa

Comment 15 Fedora Update System 2016-12-03 05:39:38 UTC
freeorion-0.4.6-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f6eb8f93b

Comment 16 Fedora Update System 2017-01-08 06:25:25 UTC
freeorion-0.4.6-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d7eb3c1fa

Comment 17 Fedora Update System 2017-01-08 06:27:00 UTC
freeorion-0.4.6-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f6eb8f93b

Comment 18 Fedora Update System 2017-01-09 02:21:36 UTC
freeorion-0.4.6-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f6eb8f93b

Comment 19 Fedora Update System 2017-01-09 02:24:17 UTC
freeorion-0.4.6-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d7eb3c1fa

Comment 20 Fedora Update System 2017-01-12 05:22:36 UTC
freeorion-0.4.6-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-01-25 20:18:27 UTC
freeorion-0.4.6-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.